## org.eclipse.emf.ecore.util
Class EContentsEList.ResolvingFeatureIteratorImpl<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl<E>
          org.eclipse.emf.ecore.util.EContentsEList.ResolvingFeatureIteratorImpl<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>, EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>

Enclosing class:
  EContentsEList<E>

    public static class EContentsEList.ResolvingFeatureIteratorImpl<E>

extends EContentsEList.FeatureIteratorImpl<E>

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`cursor, EMPTY_ITERATOR, eObject, eStructuralFeatures, feature, featureCursor, isHandlingFeatureMap, prepared, preparedFeature, preparedResult, valueInternalEList, valueList, valueListIndex, valueListSize, values`

Constructor Summary
`EContentsEList.ResolvingFeatureIteratorImpl(EObject eObject, EStructuralFeature[] eStructuralFeatures)`
`EContentsEList.ResolvingFeatureIteratorImpl(EObject eObject, java.util.List<? extends EStructuralFeature> eStructuralFeatures)`

Method Summary
`protected boolean` `resolve()`

Methods inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`add, emptyIterator, feature, hasNext, hasPrevious, isIncluded, isIncludedEntry, next, nextIndex, previous, previousIndex, remove, scanNext, scanNext, scanPrevious, scanPrevious, set, useIsSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EContentsEList.ResolvingFeatureIteratorImpl

    public EContentsEList.ResolvingFeatureIteratorImpl(EObject eObject,
                                                       java.util.List<? extends EStructuralFeature> eStructuralFeatures)

### EContentsEList.ResolvingFeatureIteratorImpl

    public EContentsEList.ResolvingFeatureIteratorImpl(EObject eObject,
                                                       EStructuralFeature[] eStructuralFeatures)

Method Detail

### resolve

    protected boolean resolve()

  Overrides:
    `resolve` in class `EContentsEList.FeatureIteratorImpl<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.